MlpCalculation
Date: 2019-10-22

org.jmol.quantum

## Class MlpCalculation

- java.lang.Object
- - org.jmol.quantum.QuantumCalculation
  - - org.jmol.quantum.MepCalculation
    - - org.jmol.quantum.MlpCalculation

-     public class MlpCalculation
      extends MepCalculation

- - ### Field Summary

    - ### Fields inherited from class org.jmol.quantum.MepCalculation

      `distanceMode, E_MINUS_D, E_MINUS_D_OVER_2, htAtomicPotentials, ONE_OVER_D, ONE_OVER_ONE_PLUS_D, resourceName`

    - ### Fields inherited from class org.jmol.quantum.QuantumCalculation

      `atomIndex, bohr_per_angstrom, bsExcluded, countsXYZ, doDebug, firstAtomOffset, integration, nX, nY, nZ, originBohr, points, qmAtoms, rangeBohrOrAngstroms, stepBohr, thisAtom, unitFactor, volume, voxelData, voxelDataTemp, X, X2, xBohr, xMax, xMin, Y, Y2, yBohr, yMax, yMin, Z, Z2, zBohr, zMax, zMin`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MlpCalculation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `assignPotentials(Atom[] atoms, float[] potentials, javajs.util.BS bsAromatic, javajs.util.BS bsCarbonyl, javajs.util.BS bsIgnore, java.lang.String data)`

    - ### Methods inherited from class org.jmol.quantum.MepCalculation

      `calculate, createCube, getAtomicPotentials, getTabulatedPotential, getValueAtPoint, process, set, setup, valueFor`

    - ### Methods inherited from class org.jmol.quantum.QuantumCalculation

      `getIntegration, initialize, initialize0, initializeOnePoint, initializeOnePointQC, processPoints, processPt, setMinMax, setupCoordinates, setXYZBohr`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MlpCalculation

          public MlpCalculation()

  - ### Method Detail

    - #### assignPotentials

          public void assignPotentials(Atom[] atoms,
                                       float[] potentials,
                                       javajs.util.BS bsAromatic,
                                       javajs.util.BS bsCarbonyl,
                                       javajs.util.BS bsIgnore,
                                       java.lang.String data)

      Overrides:
        `assignPotentials` in class `MepCalculation`